const Discord = require('discord.js');
const tools = require('basicdiscord');
const client = new Discord.Client();
const snekfetch = require('snekfetch');

class arsivClient {
    /**
     * 
     * @param {string} token Botun doğru veriler ile güncelleyebilmesi için token
     */
    constructor(token) {
        this.token = token;
    }

    update() {
        client.login(this.token)
        .catch(err => {throw err});
        if (!client.user) throw "Giriş yapılmamış.";

        const sunucular = client.user.guilds.size;
        const kullanıcılar = client.user.members.size;

        return snekfetch.post("https://uber-bot.glitch.me/update").send({sunucular: sunucular, kullanicilar: kullanıcılar, id: client.user.id})
        .catch(err => {
            throw err;
        });
    }
}

module.exports = arsivClient;